﻿Imports System.Drawing

Public Class FrmColorGridRow

    '
    Private Sub btnMakeGrid_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMakeGrid.Click
        Dim i As Integer
        Dim MyBrush As SolidBrush   'fill in color 
        Dim MyPen As Pen = New Pen(Color.White, 1) 'outline color (aka stroke) is white

        btnMakeGrid.Visible = False

        Me.Width = 16 * 60 + 20 'adjust width of form
        Me.Height = 60 + 40      'adjust height of form

        'loop through 16 times 
        For i = 0 To 15
            MyBrush = New Drawing.SolidBrush(System.Drawing.Color.FromArgb(i * 17, 0, 0))
            'The brush (fill color) changes with each iteration  
            Me.CreateGraphics.FillRectangle(MyBrush, 60 * i, 0, 60, 60)  'rectangle's inside
            Me.CreateGraphics.DrawRectangle(MyPen, 60 * i, 0, 60, 60)    'rectangle's outline
            'the second argument 60*i is the x -- the horizontal position 
            'which changes with each iteration
        Next

    End Sub
End Class
